VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit
'Plugin-Schnittstellen implementieren
Implements IPluginInfo
Implements IGeneralPlugin


'Name des Erstellers
Public Property Get IPluginInfo_author() As String
 IPluginInfo_author = "Stefan Rau"
End Property


'Eindeutige Identifizierungs-Zeichenkette fr das Plugin
Public Property Get IPluginInfo_ident() As String
 IPluginInfo_ident = "Benutzerregistrierung_0.1"
End Property


'gibt an, zu welcher Pluginsystem-Version von EasyChat das Plugin kompatibel ist
'bei RC5 Client: 0.5 / bei RC5 Server: 1.0
Public Property Get IPluginInfo_internalversion() As String
 IPluginInfo_internalversion = "1.0"
End Property


'Name des Plugins
Public Property Get IPluginInfo_name() As String
 IPluginInfo_name = "Benutzerregistrierung"
End Property


'Art des PlugIns:
'> general - allgemeines Plugin fr Client und Server
'> generalclient - allgemeines Plugin fr den Client
'> generalserver - allgemeines Plugin fr den Server
Public Property Get IPluginInfo_pluginType() As String
 IPluginInfo_pluginType = "generalserver"
End Property


'Pluginversion
Public Property Get IPluginInfo_version() As String
 IPluginInfo_version = "0.1"
End Property

'##############
'###  INIT  ###
'##############

'> callback_
' object - Verweis auf Callback im Formular (Container)
'> lcid - Sprache auf dem System
'> ecpath - Pfad zum EasyChat-Verzeichnis
'> source - gibt an ob Plugin vom Server (server),
' vom Client (client) oder
' den Optionen (settingsclient/settingsserver) geladen wurde
'> awaysontop - ob Client/Server/Optionen AlwaysOnTop sind oder nicht

Public Sub IGeneralPlugin_init(ByVal callback_object As ICallback, _
      ByVal lcid As Long, _
      ByVal ecpath As String, _
      ByVal source As String, _
      ByVal alwaysontop As Boolean)
On Error Resume Next

'Callback-Objekt merken, damit man Daten/Befehle an den Client/Server senden kann
Set PluginCallback = callback_object
Set plugin = Me

If Not Left$(source, 8) = "settings" Then
    PluginCallback.Command Me, "AddEventHandler", "ServerCommand", vbNullString
End If

End Sub

'################################
'###  ffentliche Prozeduren  ###
'################################

Public Function IGeneralPlugin_command(ByVal cmd As String, ByVal data As String, ByVal data2 As String) As String
If cmd = "ShowAbout" Then
    MsgBox "Benutzerregistrierungsplugin v" & App.Major & "." & App.Minor & "." & App.Revision & _
            " fr EasyChat v3.0.0 RC2" & vbCrLf & _
            "Copyright (C) 2003 Stefan Rau" & vbCrLf & _
            "Kontakt: stefan.rau@echp.de", vbInformation, "ber..."
ElseIf cmd = "ServerCommand" Then
    'Erstellt ein Array wo nachher Befehl und Absender drin stehen
    Dim daten() As String
    'Splittet das Array; nun ist Daten(0) = Befel und Daten(1) = Absender
    daten = Split(data, Chr$(0))

    If Not LCase(daten(0)) = "reg" Then Exit Function
If LCase(data2) = "info" Then
    PluginCallback.Command Me, "SendMessage", daten(1), "Informationen zum Registrieren:" & vbCrLf & "Zum Registrieren eines Nicks gebt \reg NICKNAME,PASSWORT ein."
    IGeneralPlugin_command = "done"
    Exit Function
End If

'Sub aufrufen die den Account erstellt
RegisterUser daten(1), data2
IGeneralPlugin_command = "done"
End If
End Function

'###################
'###  Terminate  ###
'###################

Private Sub IGeneralPlugin_terminate(ByVal callback_object As IEasyChat3.ICallback, ByVal source As String)
On Error Resume Next


'FOLGENDE ZEILEN SIND SEHR WICHTIG !!!
'--------------------------------------
'Formular entladen
Unload frmConfig
Set frmConfig = Nothing
'und Referenz freigeben
Set PluginCallback = Nothing
End Sub


